Package org.wso2.carbon.task

## Class TaskManager

- java.lang.Object
- - org.wso2.carbon.task.TaskManager

-     public class TaskManager
      extends Object

  A Central controller for do Task management Track 'TaskManagementService' service implementations and delete management operation to them as appropriately

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CARBON_TASK_JOB_METADATA_SERVICE` |
    `static String` | `CARBON_TASK_MANAGEMENT_SERVICE` |
    `static String` | `CARBON_TASK_MANAGER` |
    `static String` | `CARBON_TASK_REPOSITORY` |
    `static String` | `CARBON_TASK_SCHEDULER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription)` | Adding a TaskDescription Delegates adding responsibility to underlying each 'TaskManagementService' service
    `void` | `deleteTaskDescription​(String name, String group)` | Deleting a TaskDescription Delegates deleting responsibility to each 'TaskManagementService' service
    `void` | `editTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription, org.apache.axis2.engine.AxisConfiguration axisConfig)` | Editing a TaskDescription Delegates Editing responsibility to each 'TaskManagementService' service
    `List<String>` | `getAllJobGroups()` |
    `TaskData[]` | `getAllTaskData​(org.apache.axis2.engine.AxisConfiguration axisConfig)` |
    `List<org.apache.synapse.task.TaskDescription>` | `getAllTaskDescriptions()` | Get all TaskDescriptions across all 'TaskManagementService' service
    `List<String>` | `getPropertyNames​(String taskClass, String group)` |
    `org.apache.synapse.task.TaskDescription` | `getTaskDescription​(String name, String group)` | Looking up a TaskDescription Delegates Looking up responsibility to each 'TaskManagementService' service
    `void` | `init​(JobMetaDataProviderServiceHandler jobMetaDataProviderServiceHandler, TaskManagementServiceHandler taskManagementServiceHandler)` |
    `boolean` | `isContains​(String name, String group)` | Explicit check for a TaskDescription with a particular name Delegates responsibility to each 'TaskManagementService' service until any one find a TaskDescription with the given name
    `void` | `setTaskDescriptionRepository​(org.apache.synapse.task.TaskDescriptionRepository repository)` |
    `void` | `shutDown()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CARBON_TASK_MANAGER

          public static final String CARBON_TASK_MANAGER

      See Also:
        Constant Field Values

    - #### CARBON_TASK_REPOSITORY

          public static final String CARBON_TASK_REPOSITORY

      See Also:
        Constant Field Values

    - #### CARBON_TASK_JOB_METADATA_SERVICE

          public static final String CARBON_TASK_JOB_METADATA_SERVICE

      See Also:
        Constant Field Values

    - #### CARBON_TASK_MANAGEMENT_SERVICE

          public static final String CARBON_TASK_MANAGEMENT_SERVICE

      See Also:
        Constant Field Values

    - #### CARBON_TASK_SCHEDULER

          public static final String CARBON_TASK_SCHEDULER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskManager

          public TaskManager()

  - ### Method Detail

    - #### init

          public void init​(JobMetaDataProviderServiceHandler jobMetaDataProviderServiceHandler,
                           TaskManagementServiceHandler taskManagementServiceHandler)

    - #### shutDown

          public void shutDown()

    - #### addTaskDescription

          public void addTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription)

      Adding a TaskDescription Delegates adding responsibility to underlying each 'TaskManagementService' service
      Parameters:
        `taskDescription` - TaskDescription instance

    - #### deleteTaskDescription

          public void deleteTaskDescription​(String name,
                                            String group)

      Deleting a TaskDescription Delegates deleting responsibility to each 'TaskManagementService' service
      Parameters:
        `name` - Name of the TaskDescription instance to be deleted
        `group` - group of the task

    - #### editTaskDescription

          public void editTaskDescription​(org.apache.synapse.task.TaskDescription taskDescription,
                                          org.apache.axis2.engine.AxisConfiguration axisConfig)

      Editing a TaskDescription Delegates Editing responsibility to each 'TaskManagementService' service
      Parameters:
        `taskDescription` - TaskDescription instance

    - #### getAllTaskDescriptions

          public List<org.apache.synapse.task.TaskDescription> getAllTaskDescriptions()

      Get all TaskDescriptions across all 'TaskManagementService' service
      Returns:
        List of TaskDescription instances

    - #### getAllTaskData

          public TaskData[] getAllTaskData​(org.apache.axis2.engine.AxisConfiguration axisConfig)

    - #### getTaskDescription

          public org.apache.synapse.task.TaskDescription getTaskDescription​(String name,
                                                                            String group)

      Looking up a TaskDescription Delegates Looking up responsibility to each 'TaskManagementService' service
      Parameters:
        `name` - Name of the TaskDescription to be returned
        `group` - group of the task
      Returns:
        taskDescription TaskDescription instance

    - #### isContains

          public boolean isContains​(String name,
                                    String group)

      Explicit check for a TaskDescription with a particular name Delegates responsibility to each 'TaskManagementService' service until any one find a TaskDescription with the given name
      Parameters:
        `name` - Name of the TaskDescription
        `group` - group of the task
      Returns:
        true if there is a task description with given name

    - #### getPropertyNames

          public List<String> getPropertyNames​(String taskClass,
                                               String group)

    - #### getAllJobGroups

          public List<String> getAllJobGroups()

    - #### setTaskDescriptionRepository

          public void setTaskDescriptionRepository​(org.apache.synapse.task.TaskDescriptionRepository repository)